class DataArchiveSettingsController < ApplicationController
  model_data_store(DataArchiveSetting)

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:data_archive_setting).permit(:job_max_age, :delete_count_order, :delete_count_job, :delete_count_machine_state, :delete_count_error, :delete_count_maintenance, :delete_count_event, :delete_count_calibration, :delete_count_kpi_cache, :cycle_interval)
  end
end
