class MachineDataPushTargetHeadersController < ApplicationController
  model_data_store(MachineDataPushTargetHeader)
  protect_with("MachineDataPushTarget", "MachineDataPushTarget")

  private
    # Only allow a list of trusted parameters through.
    def model_params
      params.require(:machine_data_push_target_header).permit(:header, :value, :machine_data_push_target_id)
    end
end
