import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {BoxCoaterRecipeForm} from "./BoxCoaterRecipeForm";
import {BoxCoaterRecipeStore} from "../../stores/BoxCoaterRecipeStore";


export const BoxCoaterRecipeBreadModel = () => {
        const columns =  [
            makeColumn('name', t`Recipe Name`, "string"),
            makeColumn('dome_side', t`Dome Side`, "string"),
            makeColumn('recipe_code', t`Recipe Code`, "string"),
            makeColumn('processing_time', t`Processing Time (in seconds)`, "string")
        ];

    return(
        <BreadModel store={BoxCoaterRecipeStore} Form={BoxCoaterRecipeForm} columns={columns} />
    );
};