# == Schema Information
#
# Table name: block_picking_tags
#
#  id               :bigint           not null, primary key
#  name             :string(4000)
#  regex            :string(4000)
#  tag              :string(4000)
#  created_at       :datetime         not null
#  updated_at       :datetime         not null
#  block_picking_id :bigint           not null
#
# Indexes
#
#  index_block_picking_tags_on_block_picking_id  (block_picking_id)
#
# Foreign Keys
#
#  fk_rails_...  (block_picking_id => block_pickings.id) ON DELETE => cascade
#
class BlockPickingTag < ApplicationRecord
  belongs_to :block_picking

  def should_broadcast?
    true
  end
end
