module ByMachineAndPeriod
  extend ActiveSupport::Concern

  class_methods do
    def by_machine_and_period(machine:, period:)
      start_date = Time.now - ({day: 1, week: 7, month: 30}[period.to_sym].days)
      where(machine: machine, time: start_date..)
    end
  end
end
