# == Schema Information
#
# Table name: machine_data_push_target_headers
#
#  id                          :bigint           not null, primary key
#  header                      :string(4000)
#  value                       :string(4000)
#  created_at                  :datetime         not null
#  updated_at                  :datetime         not null
#  machine_data_push_target_id :bigint           not null
#
# Indexes
#
#  index_headers_on_push_target_id  (machine_data_push_target_id)
#
# Foreign Keys
#
#  fk_rails_...  (machine_data_push_target_id => machine_data_push_targets.id) ON DELETE => cascade
#
class MachineDataPushTargetHeader < ApplicationRecord
  belongs_to :machine_data_push_target

  def should_broadcast?
    true
  end
end
