# -*- SkipSchemaAnnotations

module MachineTypes
  module Polishers
    class DuoFlex < Polisher

      class << self
        def seed_version
          1
        end

        def display_name
          "Duo-FLEX"
        end

        def name
          "duo_flex"
        end

        def image_name
          'duo_flex.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end
      end
    end
  end
end

