class BlockPickingWorkstation < RxModule::Workstations::Workstation
  expose(
    "block_picking_workstation",
    "Block Picking",
    "/block_picking_station",
    "Block Picking Scanner workstations",
    Rails.root.join("public/workstation_icons", "regular_eye.svg"),
    "Block Workstations"
  )
  variants do
    BlockPicking.all.map do |ws|
      variant(ws.id, ws.name)
    end
  end
  multiple_permissions(true)
end