class AddIncludeRequestParamsToMachineDataPushTargets < ActiveRecord::Migration[6.1]
  def up
    add_column :machine_data_push_targets, :include_request_params, :boolean, :default => false
    execute("update machine_data_push_targets set include_request_params='false'")
  end

  def down
    remove_column :machine_data_push_targets, :include_request_params
  end
end
