class AddIncludeMachineNameInBodyToMachineDataPushTargets < ActiveRecord::Migration[6.1]
  def up
    add_column :machine_data_push_targets, :include_machine_name, :boolean, :default => false
    execute("update machine_data_push_targets set include_machine_name='false'")
  end

  def down
    remove_column :machine_data_push_targets, :include_machine_name
  end
end
