class BlockPickingTagsController < ApplicationController
  model_data_store(BlockPickingTag)
  protect_with("BlockPicking", "BlockPicking")

  private
  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:block_picking_tag).permit(:name, :tag, :regex, :block_picking_id)
  end
end
