import {t} from "@lingui/macro";

export const MACHINE_PERFORMANCE_OVERVIEW_COLORS = {
    uptime: {
        over: 'rgb(188, 210, 145)',
        under: 'rgb(210, 166, 145)'
    },
    utilization: {
        over: 'rgb(125, 193, 52)',
        under: 'rgb(193, 77, 52)'
    },
    throughput: 'rgb(26,93,173)'
}

export const resolveMachinePerformanceSeriesName = (name: string) => {
    if(name === 'waitingforjobs'){
        return t`uptime`;
    }
    if(name === 'processing'){
        return t`utilization`;
    }

    return name;
}
