import {observer} from "mobx-react-lite";
import {ModelInput} from "@rx-suite/ui";
import * as React from "react";

export const MachineProductionTargetsTab = observer(() => {

    return (
        <React.Fragment>
            <ModelInput name={'machine_oee_target'}
                        type={'number'}
                        inputProps={
                            {
                                min: 1,
                                max: 100
                            }
                        }
            />
            <ModelInput name={'machine_utilization_target'}
                        type={'number'}
                        inputProps={
                            {
                                min: 1,
                                max: 100
                            }
                        }
            />
            <ModelInput name={'machine_uptime_target'}
                        type={'number'}
                        inputProps={
                            {
                                min: 1,
                                max: 100
                            }
                        }
            />
        </React.Fragment>
    )
})
