class ShiftTimeHelpers
  class << self
    def ensure_shift_time_fits_cache(time)
      time_obj = Time.parse(time)
      time_beginning_hour = time_obj.beginning_of_hour
      time_dif = time_obj - time_beginning_hour

      return time_obj if time_dif == 0 || time_dif == 1800
      return time_beginning_hour.advance(minutes: 30) if time_dif < 1800
      time_beginning_hour.advance(minutes: 60)
    end
  end
end