# == Schema Information
#
# Table name: event_data
#
#  id         :bigint           not null, primary key
#  name       :string(4000)
#  value      :string(4000)
#  created_at :datetime         not null
#  updated_at :datetime         not null
#  event_id   :bigint           not null
#
# Indexes
#
#  index_event_data_on_event_id  (event_id)
#
# Foreign Keys
#
#  fk_rails_...  (event_id => events.id) ON DELETE => cascade
#
class EventDatum < ApplicationRecord
  belongs_to :event, touch: true
end
