# -*- SkipSchemaAnnotations

module MachineTypes
  module BoxCoaters
    class X1500 < BoxCoater
      class << self
        def seed_version
          1
        end

        def display_name
          "1500-X"
        end

        def name
          "1500_x"
        end

        def image_name
          '1500_x.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end
      end
    end
  end
end

