# -*- SkipSchemaAnnotations

module MachineTypes
  module Polishers
    class MultiFlex2e < Polisher
      class << self
        def seed_version
          1
        end

        def display_name
          "Multi-FLEX-2E"
        end

        def name
          "multi_flex_2e"
        end

        def image_name
          'multi_flex_2e.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end
      end
    end
  end
end

