class ArchiveRoutine < RxModule::Routine
  class << self
    def frequency
      "1m"
    end

    def work
      if ArchiveTask.count > 0 && Delayed::Job.find_by(queue: :archive).nil?
        ProcessArchiveTasksJob.perform_later
      end
    end
  end
end
