json.jobHistory do
  json.cache! @jobs do
    json.cache_collection! @jobs do |job|
      json.orderKey job.order&.job_number
      json.jobKey job.number
      json.lensside job.side_letter
      json.breakage nil # TODO: find out what this is
      json.orderTypeName job.order&.order_type
      json.orderCreationDate job.order&.requested_date_str
      json.orderCreationTime job.order&.requested_time_str
      json.orderDate nil # TODO: Find out what this is
      json.orderTime nil # TODO: find out what this is
      json.orderDeliveryDate job.order&.wanted_date_str
      json.orderDeliveryTime job.order&.wanted_time_str
      json.jobBlockNumber job.block&.dmc
      json.jobBlockCycleCount job.block&.usage_count
      json.jobType job.job_type
      json.jobMesFinished nil # TODO: find out what this is
      json.resourceHistoryList do
        json.resourceHistory do
          json.cache! job.job_processes do
            json.cache_collection! job.job_processes do |process|
              json.sn process.machine.sn
              json.process nil # TODO: Find out what this is
              json.breakageReason nil # TODO: find out where to get this
            end
          end
        end
      end
    end
  end
end
