json.extract! machine_type,
              :id,
              :name,
              :display_name,
              :category,
              :image_url,
              :machine_state_enabled,
              :job_state_enabled,
              :error_enabled,
              :maintenance_enabled,
              :process_data_enabled,
              :event_data_enabled,
              :calibration_data_enabled
json.no_machine_manuals machine_type.manuals.nil?
json.has_operating_manuals !!machine_type.manuals && !!machine_type.manuals[:operating]
json.has_maintenance_manuals !!machine_type.manuals && !!machine_type.manuals[:maintenance]
json.manual_languages machine_type.manual_languages
json.url machine_type_url(machine_type, format: :json)
