class CreateJobs < ActiveRecord::Migration[6.0]
  def change
    create_table :jobs do |t|
      t.string :number, index: true
      t.string :name
      t.string :description
      t.integer :sequence_number
      t.integer :priority
      t.string :manufacturer
      t.integer :side
      t.string :lmat_id
      t.string :lmat_type
      t.string :batch_criteria
      t.string :template
      t.string :job_type
      t.boolean :enabled

      t.references :order, foreign_key: {on_delete: :nullify}, null: true

      t.timestamps
    end
  end
end
