class CreateJobProcesses < ActiveRecord::Migration[6.0]
  def change
    create_table :job_processes do |t|
      t.belongs_to :machine, null: false, foreign_key: {on_delete: :cascade}
      t.belongs_to :job, null: false, foreign_key: {on_delete: :cascade}
      t.belongs_to :manufacturing_process, null: false, foreign_key: {on_delete: :cascade}
      t.string :lens_side
      t.string :batch_id
      t.datetime :time

      t.timestamps
    end
  end
end
