class ChangeJobIdToOptional < ActiveRecord::Migration[6.0]
  def up
    remove_foreign_key :errors, :jobs
    remove_index :errors, :job_id
    change_column :errors, :job_id, :bigint, null: true
    add_index :errors, :job_id
  end

  def down
    remove_index :errors, :job_id
    change_column :errors, :job_id, :bigint, null: false
    add_index :errors, :job_id
    add_foreign_key :errors, :jobs
  end
end
