class CreateMachineDataPushTargetHeaders < ActiveRecord::Migration[6.1]
  def change
    create_table :machine_data_push_target_headers do |t|
      t.string :header
      t.string :value
      t.references :machine_data_push_target, null: false, foreign_key: {on_delete: :cascade}, index: { name: :index_headers_on_push_target_id }

      t.timestamps
    end
  end
end
