namespace :kpi_job_state do
  desc "generate kpi records from job_states"
  task :generate => :environment do
    #KpiJobState.destroy_all
    time = Time.now.yesterday.beginning_of_hour
    Machine.all.find_each do |machine|
      p "[KPI Job State] Generating Kpi job states for machine #{machine.name}"
      Rails::logger.info "[KPI Job State] Generating Kpi job states for machine #{machine.name}"
      JobState.where(machine_id: machine.id).where(JobState.arel_table[:time].gteq(time)).find_each.each_with_index do |job_state, i|
        KpiJobState.cache_job_state(job_state)
      end
    end
  end
end
