require "rails_helper"

RSpec.describe MachineDataPushTargetHeadersController, type: :routing do
  describe "routing" do
    it "routes to #index" do
      expect(get: "/machine_data_push_target_headers").to route_to("machine_data_push_target_headers#index")
    end

    it "routes to #show" do
      expect(get: "/machine_data_push_target_headers/1").to route_to("machine_data_push_target_headers#show", id: "1")
    end


    it "routes to #create" do
      expect(post: "/machine_data_push_target_headers").to route_to("machine_data_push_target_headers#create")
    end

    it "routes to #update via PUT" do
      expect(put: "/machine_data_push_target_headers/1").to route_to("machine_data_push_target_headers#update", id: "1")
    end

    it "routes to #update via PATCH" do
      expect(patch: "/machine_data_push_target_headers/1").to route_to("machine_data_push_target_headers#update", id: "1")
    end

    it "routes to #destroy" do
      expect(delete: "/machine_data_push_target_headers/1").to route_to("machine_data_push_target_headers#destroy", id: "1")
    end
  end
end
